Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.plugins.javascript
Class JScriptVisiblePlugin

    ru.biosoft.access.DataElementSupport
      |
      +--ru.biosoft.access.AbstractDataCollection
            |
            +--ru.biosoft.plugins.VisiblePlugin
                  |
                  +--ru.biosoft.plugins.javascript.JScriptVisiblePlugin

public class JScriptVisiblePlugin
extends VisiblePlugin

Utility class used as root tree for JavaScript functions and host objects. This class (CollectionFactory classloader) duplicates some functionality of JScriptPlugin (Eclipse classloader). This is due to different classloaders that are used to initialise them.

Constructor Summary
`JScriptVisiblePlugin(DataCollection parent, Properties properties)` Constructor to be used by CollectionFactory to create a Plugin.

Method Summary
`Class` | `getDataElementType()`
`DataCollection` | `getFunctions()`
`DataCollection` | `getHostObjects()`
`static JScriptVisiblePlugin` | `getInstance()`
`Iterator` | `iterator()`
`void` | `startup()`

Methods inherited from class ru.biosoft.plugins.VisiblePlugin
`close, getDescription, shutdown`

Methods inherited from class ru.biosoft.access.AbstractDataCollection
`addDataCollectionListener, contains, contains, get, getCompleteName, getInfo, getNameList, getSize, isMutable, isNotificationEnabled, isPropagationEnabled, propagateElementChanged, propagateElementWillChange, put, release, remove, removeDataCollectionListener, setNotificationEnabled, setPropagationEnabled, toString`

Methods inherited from class ru.biosoft.access.DataElementSupport
`getName, getOrigin, registerConstructorWithBadEqual`

Constructor Detail

### JScriptVisiblePlugin

    public JScriptVisiblePlugin(DataCollection parent, Properties properties)

  Constructor to be used by CollectionFactory to create a Plugin.

Method Detail

### getDataElementType

    public Class getDataElementType()

### getFunctions

    public DataCollection getFunctions()

### getHostObjects

    public DataCollection getHostObjects()

### getInstance

    public static JScriptVisiblePlugin getInstance()

### iterator

    public Iterator iterator()

### startup

    public void startup()

Association Links

to Class ru.biosoft.plugins.javascript.JScriptVisiblePlugin

to Class ru.biosoft.access.DataCollection

to Class ru.biosoft.access.DataCollection

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM